明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2448|回复: 2

请问AddLightWeightPolyline(points)中,points数组一定只能设置为double型吗?

[复制链接]
发表于 2007-5-31 00:51:00 | 显示全部楼层 |阅读模式

Dim points(0 To 9) As Variant

这样定义程序无法运行出错?

points数组一定只能设置为double型吗?


Sub Example_AddLightWeightPolyline1()
    ' This example creates a lightweight polyline in model space.
   
    Dim plineObj As AcadLWPolyline
    Dim points(0 To 9) As Variant
   
    ' Define the 2D polyline points
    points(0) = 1: points(1) = 1
    points(2) = 1: points(3) = 2
    points(4) = 2: points(5) = 2
    points(6) = 3: points(7) = 2
    points(8) = 4: points(9) = 4
       
    ' Create a lightweight Polyline object in model space
    Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
    ZoomAll
   
End Sub

发表于 2007-5-31 08:03:00 | 显示全部楼层

是这样的,必需是Double类型的。这个在帮助文档里面有说明的。

 楼主| 发表于 2007-5-31 09:20:00 | 显示全部楼层
烟雨.江南发表于2007-5-31 8:03:00是这样的,必需是Double类型的。这个在帮助文档里面有说明的。

恩,谢谢了

我在帮助文档中找到这个说明了

我还以为它说支持Variant呢,我的英语太菜了~~~

VerticesList

Variant (array of doubles)

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2025-2-22 18:35 , Processed in 0.175592 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表